For the complete documentation index, see llms.txt. This page is also available as Markdown.

Approve or reject product campaign

This endpoint allows approval or rejection of a product campaign. Change the approval status and provide rejection reasons if needed.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint allows approval or rejection of a product campaign. Change the approval status and provide rejection reasons if needed."

Approve or reject product campaign

Approve or reject product campaign

post

This endpoint allows approval or rejection of a product campaign. Change the approval status and provide rejection reasons if needed.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Path parameters
idstringRequired
Body
Responses
200

A successful response.

application/json
post/v3/product-campaigns/{id}:approve
POST /v3/product-campaigns/{id}:approve HTTP/1.1
Host: campaign.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 76

{
  "approval": {
    "rejectionReason": "text",
    "state": "APPROVAL_STATE_UNSPECIFIED"
  }
}
{
  "productCampaign": {
    "advertisedProducts": {
      "productGroupList": [
        "text"
      ],
      "productsByAttributes": {
        "priceRange": {
          "max": "100",
          "min": "10"
        },
        "tags": [
          "tag1",
          "tag2",
          "tag3"
        ]
      },
      "productsByKey": [
        {
          "catalogId": "catalog_001",
          "productCode": "PROD123456",
          "sellerId": "seller_78910"
        }
      ]
    },
    "approval": {
      "rejectionReason": "text",
      "state": "APPROVAL_STATE_UNSPECIFIED"
    },
    "campaignState": "CAMPAIGN_STATE_UNSPECIFIED",
    "catalogIds": [
      "text"
    ],
    "customFields": [
      {
        "content": "This is a custom field content.",
        "customFieldId": "cfid_12345"
      }
    ],
    "customQuestions": [
      {
        "answers": [
          "Answer 1",
          "Answer 2",
          "Answer 3"
        ],
        "customQuestionId": "cqid_67890"
      }
    ],
    "endTime": "2026-01-01T00:00:00.000Z",
    "fixedCosts": {
      "creativeCost": "$200.00",
      "dataCost": "$100.00",
      "otherCost": "$50.00"
    },
    "id": "text",
    "managerTeamId": "text",
    "name": "text",
    "namespaceId": "text",
    "placementId": "text",
    "sellerId": "text",
    "startTime": "2026-01-01T00:00:00.000Z",
    "strategy": {
      "auction": {
        "automatedBid": {
          "enableAutomatedBid": true
        },
        "maxBid": "$100.00",
        "spendLimit": {
          "daily": "$50.00",
          "total": "$1000.00"
        }
      },
      "fixedTenancy": {
        "catalogCosts": [
          {
            "catalogCostPercentage": 0.25,
            "catalogId": "catalog_123456"
          }
        ],
        "cost": "$99.99",
        "positions": [
          1,
          2,
          3
        ]
      }
    },
    "targeting": {
      "audience": {
        "includeSegmentsSets": [
          {
            "segmentIds": [
              "text"
            ]
          }
        ]
      },
      "crossSell": {
        "targetProductsByAttributes": {
          "subclassTags": [
            "Electronics",
            "Home Appliances"
          ],
          "vendorTags": [
            "BrandX",
            "BrandY"
          ]
        },
        "targetProductsByKey": [
          {
            "catalogId": "catalog_001",
            "productCode": "PROD123456",
            "sellerId": "seller_78910"
          }
        ]
      },
      "excludeFilters": [
        {
          "catalogId": "catalog_12345",
          "filter": "filter_value_abc"
        }
      ],
      "includeFilters": [
        {
          "catalogId": "catalog_12345",
          "filter": "filter_value_abc"
        }
      ],
      "negativeSearchTerms": [
        {
          "matchType": "MATCH_TYPE_UNSPECIFIED",
          "phrase": "text"
        }
      ],
      "searchTerms": [
        {
          "collectionName": "default_collection",
          "excludedProducts": [
            {
              "catalogId": "catalog_001",
              "productCode": "PROD123456",
              "sellerId": "seller_78910"
            }
          ],
          "matchType": "MATCH_TYPE_UNSPECIFIED",
          "maxBid": "100.00",
          "phrase": "example search term",
          "suggested": true,
          "treatAsCustom": true
        }
      ],
      "upsell": {
        "targetProductsByAttributes": {
          "priceRange": {
            "max": "100",
            "min": "10"
          },
          "subclassTags": [
            "text"
          ],
          "vendorTags": [
            "text"
          ]
        },
        "targetProductsByKey": [
          {
            "catalogId": "catalog_001",
            "productCode": "PROD123456",
            "sellerId": "seller_78910"
          }
        ]
      }
    },
    "teamId": "text",
    "templateId": "text",
    "updateTime": "2026-01-01T00:00:00.000Z",
    "walletId": "text"
  }
}